summaryrefslogtreecommitdiffstats
path: root/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild')
-rwxr-xr-xsource/l/gst-plugins-libav/gst-plugins-libav.SlackBuild10
1 files changed, 9 insertions, 1 deletions
diff --git a/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild b/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
index 401a8acd7..a81de63a2 100755
--- a/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
+++ b/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
@@ -82,6 +82,15 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# --with-system-libav now requires ffmpeg4, so we'll use the embedded version
+# until we are able to switch over to that.
+if [ ! "$VERSION" = "1.16.0" ]; then
+ echo "New version detected... if we aren't using ffmpeg4 yet please update"
+ echo "the check in gst-plugins-libav.SlackBuild."
+ echo "Exiting."
+ exit 1
+fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -91,7 +100,6 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--disable-static \
- --with-system-libav \
--with-libav-extra-configure=\"--enable-runtime-cpudetect\" \
--build=$ARCH-slackware-linux || exit 1